do
local OldWeapon = Weapon
Weapon = Class(OldWeapon) {

    GetDamageTable = function(self)
        local weaponBlueprint = self:GetBlueprint()
        local damageTable = OldWeapon.GetDamageTable(self)
        damageTable.EdgeDamageRatio = weaponBlueprint.EdgeDamageRatio
        return damageTable
    end,

} TypeClass = Weapon
end
